---
stages:
  - deploy

variables:
  CI: 1
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

default:
  image: python:3.9-alpine
  cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
      - .cache/pip
      - env/
  before_script:
    - apk update && apk add build-base git
    - python --version
    - python -m venv env
    - source env/bin/activate
    - pip install -r requirements.txt

workflow:
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

pages:
  stage: deploy
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  script:
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public
